const { mpserverless } = getApp()

Page({
  data: {
    tabs: [
      { title: '我的相册' },
      { title: '每日美图' },
    ],
    activeTab: 1,
    files: [],
    wallpaper: [],
    userInfo: null,
    isAuthorize: false,
  },
  async onLoad(query) {
  },
  async onReady() {
    try {
      const res = await my.serverless.function.invoke('PhotoServer', {
        action: 'ListWallpaper'
      })
      console.log(res)
      const wallpaper = res.result.map(({ date, title, url, collected, _id }) => {
        return {
          date,
          title,
          url,
          collected,
          _id
        }
      });
      this.setData({
        wallpaper,
      })
    } catch (e) {
      my.showToast({
        content: '获取美图失败'
      })
    }

  },
  async onShow() {
    // 页面显示
    try {
      const albumList = await my.serverless.function.invoke('PhotoServer', {
        action: 'ListAlbum'
      });
      this.setData({
        files: albumList.result,
      })

    } catch (e) {
      my.showToast({
        content: '获取相册列表失败'
      })

    }
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },

  /**
   * @memberof Tab
   */
  async handleTab({ index }) {
    if (index === 0) {
    }
    this.setData({
      activeTab: index,
    });
  },
  /** 添加xiangce */
  onAdd() {
    my.navigateTo({
      url: '../add-file/index'
    })
  },
  /** 查看相册 */
  onFile(node) {
    my.navigateTo({ url: `../details/index?album=${node.target.dataset.value.album}` })
  },
  /** 收藏图片 */
  async like(node) {
    if (node.target.dataset.value.collected) {
      my.showToast({
        content: '已经添加收藏'
      })
      return
    }
    try {
      const id = node.target.dataset.value._id;

      delete node.target.dataset.value._id;

      const res = await my.serverless.function.invoke('PhotoServer', {
        action: 'Collect',
        params: { album: '我的收藏', ...node.target.dataset.value }
      })
      if (res && res.success) {
        my.showToast({
          content: '收藏成功'
        })
        const warpList = this.data.wallpaper;
        const idx = this.data.wallpaper.findIndex(el => el._id === id);
        warpList[idx].collected = true;
        this.setData({
          wallpaper: warpList
        })
      }
    } catch (e) {
      my.showToast({
        content: '收藏失败'
      })
    }
  }
});
